class AEL_V_VERTICAL_BAR_GRAPH

inherit
	AEL_V_XY_GRAPH
		redefine
			update_geometry, on_button_3_ctl_press, maximum_series_count,
			right_margin, top_margin
		end

create
	make

--|========================================================================
feature {NONE} -- Initialization
--|========================================================================

	init_data_source is
		do
			add_series (<< 2.5, 1.0, 0.5, 1.2, 1.8, 2.1, 2.6, 3.8 >>)
		end

--|========================================================================
feature -- Data
--|========================================================================

	maximum_series_count: INTEGER is
		do
			Result := 1
		end

--|========================================================================
feature -- Rendering
--|========================================================================

	new_figure_at_position (si, i: INTEGER; pt: EV_COORDINATE): EV_MODEL is
		local
			tfig: AEL_V_MODEL_BAR
		do
			create tfig
			tfig.set_bar_thickness (bar_thickness)
			tfig.set_position (pt.x, pt.y, x_axis_vertical_offset)
			tfig.set_bar_color (item_colors.item (i).item (1))
			tfig.set_end_shadow_color (item_colors.item (i).item (2))
			tfig.set_edge_shadow_color (item_colors.item (i).item (3))
			Result := tfig
		end

--|========================================================================
feature {NONE} -- Geometry support
--|========================================================================

	update_geometry is
		do
			Precursor
	 			-- Bar thickness is proportional to chart size
			bar_thickness := (chart_x_interval / 2).rounded
		end

	--|--------------------------------------------------------------

	bar_thickness: INTEGER

	--|--------------------------------------------------------------

	right_margin: INTEGER is
		do
			Result := Precursor + 10
		end

	--|--------------------------------------------------------------

	top_margin: INTEGER is
		do
			Result := Precursor + 10
		end

--|========================================================================
feature {NONE} -- Agents and actions
--|========================================================================

	on_button_3_ctl_press (ti: AEL_V_GRAPH_ITEM; xp, yp: INTEGER) is
		do
		end

end -- class AEL_V_VERTICAL_BAR_GRAPH
